]> git.decadent.org.uk Git - dak.git/blobdiff - config/debian/cron.unchecked
Loadsa changes to make new cronscript way work
[dak.git] / config / debian / cron.unchecked
index 9a77fc4dab2b02e9271870807cc133b0223d18a1..916d4e5dd3d1f1b7734744a95449ded84cb3bd46 100755 (executable)
@@ -18,6 +18,7 @@
 
 # exit on errors
 set -e
+set -o pipefail
 # make sure to only use defined variables
 set -u
 # ERR traps should be inherited from functions too. (And command
@@ -31,7 +32,6 @@ export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
 
 LOCKDAILY=""
 LOCKFILE="$lockdir/unchecked.lock"
-LOCK_NEW="$lockdir/processnew.lock"
 NOTICE="$lockdir/daily.lock"
 LOCK_BUILDD="$lockdir/buildd.lock"
 
@@ -60,26 +60,11 @@ cleanup() {
 function do_buildd () {
     if lockfile -r3 $NOTICE; then
         LOCKDAILY="YES"
-        cd $overridedir
-        dak make-overrides &>/dev/null
-        rm -f override.sid.all3 override.sid.all3.src
-        for i in main contrib non-free main.debian-installer; do
-            cat override.sid.$i >> override.sid.all3
-            if [ "$i" != "main.debian-installer" ]; then
-                cat override.sid.$i.src >> override.sid.all3.src
-            fi
-        done
         make_buildd_dir
         wbtrigger
     fi
 }
 
-function do_dists () {
-    cd $configdir
-    dak generate-filelist
-    dak generate-packages-sources -s unstable experimental >/dev/null
-}
-
 ########################################################################
 # the actual unchecked functions follow                                #
 ########################################################################
@@ -89,23 +74,29 @@ export LANG=C
 export LC_ALL=C
 
 # only run one cron.unchecked
-if ! lockfile -r8 $LOCKFILE; then
-    echo "aborting cron.unchecked because $LOCKFILE has already been locked"
+if ! lockfile -r8 $LOCKFILE 2> /dev/null; then
+    echo "aborting cron.unchecked because $LOCKFILE has already been locked"
     exit 0
 fi
 trap cleanup 0
 
 
-pg_timestamp preunchecked
-do_newstage
+pg_timestamp preunchecked >/dev/null
+
+# Process policy queues
+punew stable-new
+opunew oldstable-new
+backports_policy
+dak clean-suites -a backports-policy,policy
+
+# Finally deal with unchecked
 do_unchecked
 
 if [ ! -z "$changes" ]; then
     sync_debbugs
     do_buildd
-    do_dists
 fi
 
 dak contents -l 10000 scan-binary
 dak contents -l 1000 scan-source
-pg_timestamp postunchecked
+pg_timestamp postunchecked >/dev/null